// creator  : weidu.exe (version 23600)
// argument : VOLOSE.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~VOLOSE~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 5 even though they appear after this state */
~  NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #746 /* ~If you will, <SIRMAAM>, the tab? Mr. Volo was here for some time.~ */
  IF ~~ THEN REPLY #1921 /* ~I'm sure there was just some misunderstanding. I'll cover his tab.~ */ JOURNAL #16574 /* ~That Volo appears to be more rogue than mage. He made a hasty exit, leaving me saddled with his tab.~ */ GOTO 2
  IF ~  ReactionLT(LastTalkedToBy(Myself),FRIENDLY_LOWER)
~ THEN REPLY #5777 /* ~What?! That cheap... Actually, I've never met the man before today. If he left his bill unpaid it's his doing, not mine.~ */ JOURNAL #16574 /* ~That Volo appears to be more rogue than mage. He made a hasty exit, leaving me saddled with his tab.~ */ GOTO 1
  IF ~  ReactionGT(LastTalkedToBy(Myself),NEUTRAL_UPPER)
~ THEN REPLY #5781 /* ~What?! That cheap... Actually, I've never met the man before today. If he left his bill unpaid it's his doing, not mine.~ */ JOURNAL #16574 /* ~That Volo appears to be more rogue than mage. He made a hasty exit, leaving me saddled with his tab.~ */ GOTO 4
END

IF ~~ THEN BEGIN 1 // from: 0.1
  SAY #747 /* ~Stiff a hardworking girl out of her meager wage, will you? Don't look favorably upon that, they don't, and I'm well liked 'round here. Maybe you trip and "fall" a few times when you meet a stanger in an alley. What say you rethink your position?~ */
  IF ~~ THEN REPLY #5779 /* ~I'm not paying his bar bill and that is final! I'm sorry he stiffed you, but better you than me.~ */ GOTO 3
  IF ~~ THEN REPLY #5780 /* ~I'm sure there was just some misunderstanding. I'll cover his tab.~ */ GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 1.1 0.0
  SAY #748 /* ~Thank you kindly.~ */
  IF ~~ THEN DO ~TakePartyGold(10)
~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 1.0
  SAY #749 /* ~Have it how you will, though you have been warned.~ */
  IF ~~ THEN DO ~SendTrigger("Bouncer",1)
~ EXIT
END

IF ~~ THEN BEGIN 4 // from: 0.2
  SAY #5782 /* ~You have no idea how many people come through here claimin' never to have seen one another before. So be it, but keep yer dist from me and mine.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~  StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 5 // from:
  SAY #6429 /* ~I'm just a waitress, I don't think that I would know anything that would interest you. I suppose I could run you a tab if you like.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 6 // from:
  SAY #9039 /* ~Lost your chance with me, you did! Get lost!~ */
  IF ~~ THEN EXIT
END
